Bug 431794 - SELinux is preventing plasma from changing a writable memory segment executable.
SELinux is preventing plasma from changing a writable memory segment executable.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 18:21 EST by Riku Seppala
Modified: 2008-04-09 17:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 17:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Riku Seppala 2008-02-06 18:21:28 EST
Summary:

SELinux is preventing plasma from changing a writable memory segment executable.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

The plasma application attempted to change the access protection of memory
(e.g., allocated using malloc). This is a potential security problem.
Applications should not be doing this. Applications are sometimes coded
incorrectly and request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. If plasma does not work and you need it to work, you
can configure SELinux temporarily to allow this access until the application is
fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust plasma to run correctly, you can change the context of the
executable to unconfined_execmem_exec_t. "chcon -t unconfined_execmem_exec_t
'/usr/bin/plasma'". You must also change the default file context files on the
system in order to preserve them even on a full relabel. "semanage fcontext -a
-t unconfined_execmem_exec_t '/usr/bin/plasma'"

The following command will allow this access:

chcon -t unconfined_execmem_exec_t '/usr/bin/plasma'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        plasma
Source Path                   /usr/bin/plasma
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           kdebase-workspace-4.0.1-4.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.2.6-6.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   allow_execmem
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.24-17.fc9 #1 SMP
                              Mon Feb 4 18:35:53 EST 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 07 Feb 2008 03:16:06 AM EET
Last Seen                     Thu 07 Feb 2008 03:16:06 AM EET
Local ID                      96de0927-25e8-46c3-b0b7-31f731ee252c
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1202346966.817:48): avc:  denied 
{ execmem } for  pid=3006 comm="plasma"
scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

host=localhost.localdomain type=SYSCALL msg=audit(1202346966.817:48):
arch=c000003e syscall=9 success=yes exit=1084231680 a0=0 a1=a01000 a2=7 a3=62
items=0 ppid=1 pid=3006 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500
egid=500 sgid=500 fsgid=500 tty=(none) comm="plasma" exe="/usr/bin/plasma"
subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)
Comment 1 Kevin Kofler 2008-02-06 22:14:47 EST
That's probably also in one of the libraries. Plasma can use OpenGL, so are you 
using any third-party libGLU (e.g. nvidia)?
Comment 2 Riku Seppala 2008-02-07 04:22:57 EST
Freshly installed fedora 9 alpha + updates. Nothing 3rd party. Will do yum
update later when new dhcp gets pushed.
Comment 3 Riku Seppala 2008-02-09 06:56:48 EST
I saw this several times the day I installed f 9 alpha. After some updates this
seems to be fixed. I'll wait few days before closing.
Comment 4 Steven M. Parrish 2008-04-09 13:58:41 EDT
Is this still an issue in the current Rawhide(F9 Beta) are can it be closed?
Comment 5 Riku Seppala 2008-04-09 17:28:27 EDT
Sorry I forgot to close this :) No, it's not an issue anymore. I'll close this now.

Note You need to log in before you can comment on or make changes to this bug.